import 'package:vrchat_dart/vrchat_dart.dart';

void main() async {
  final api = VrchatDart().api;

  final loginResponse = await api.login(
  );

  if (loginResponse.authError) {
    print('authError');
  } else if (loginResponse.requiresTwoFactorAuth) {
    print('requiresTwoFactorAuth');
    final twoFactorResponse = await api.verify2fa('123456');
    if (twoFactorResponse) {
      print('2fa verification success');
    } else {
      print('2fa verification failure');
    }
  } else {
    print('Logged in');
    print(loginResponse.user?.username);
  }
}
